// File generated by FlutterFire CLI.
// ignore_for_file: lines_longer_than_80_chars, avoid_classes_with_only_static_members
import 'package:firebase_core/firebase_core.dart' show FirebaseOptions;
import 'package:flutter/foundation.dart'
    show defaultTargetPlatform, kIsWeb, TargetPlatform;

/// Default [FirebaseOptions] for use with your Firebase apps.
///
/// Example:
/// ```dart
/// import 'firebase_options.dart';
/// // ...
/// await Firebase.initializeApp(
///   options: DefaultFirebaseOptions.currentPlatform,
/// );
/// ```
class DefaultFirebaseOptions {
  static FirebaseOptions get currentPlatform {
    if (kIsWeb) {
      return web;
    }
    switch (defaultTargetPlatform) {
      case TargetPlatform.android:
        return android;
      case TargetPlatform.iOS:
        return ios;
      case TargetPlatform.macOS:
        return macos;
      case TargetPlatform.windows:
        throw UnsupportedError(
          'DefaultFirebaseOptions have not been configured for windows - '
          'you can reconfigure this by running the FlutterFire CLI again.',
        );
      case TargetPlatform.linux:
        throw UnsupportedError(
          'DefaultFirebaseOptions have not been configured for linux - '
          'you can reconfigure this by running the FlutterFire CLI again.',
        );
      default:
        throw UnsupportedError(
          'DefaultFirebaseOptions are not supported for this platform.',
        );
    }
  }

  static const FirebaseOptions web = FirebaseOptions(
    apiKey: 'AIzaSyBAumMKgquCk50OGqD--HRzQOPGk2LEFSg',
    appId: '1:770468302615:web:9057c5cdc322aa65b6b152',
    messagingSenderId: '770468302615',
    projectId: 'my-notes-app2',
    authDomain: 'my-notes-app2.firebaseapp.com',
    storageBucket: 'my-notes-app2.appspot.com',
  );

  static const FirebaseOptions android = FirebaseOptions(
    apiKey: 'AIzaSyCGiFEHfCwtBcM08RFSLfvl7-gvezi5AWI',
    appId: '1:770468302615:android:8ea42c92767ba438b6b152',
    messagingSenderId: '770468302615',
    projectId: 'my-notes-app2',
    storageBucket: 'my-notes-app2.appspot.com',
  );

  static const FirebaseOptions ios = FirebaseOptions(
    apiKey: 'AIzaSyBwLRTHOSxWnZOMWH3Z-scINJXvxFVjdoQ',
    appId: '1:770468302615:ios:be74865845629d17b6b152',
    messagingSenderId: '770468302615',
    projectId: 'my-notes-app2',
    storageBucket: 'my-notes-app2.appspot.com',
    iosClientId: '770468302615-4iile52uas1eon4o0oeqr7bsgcq0q6rr.apps.googleusercontent.com',
    iosBundleId: 'tech.groundgurus.mynotes',
  );

  static const FirebaseOptions macos = FirebaseOptions(
    apiKey: 'AIzaSyBwLRTHOSxWnZOMWH3Z-scINJXvxFVjdoQ',
    appId: '1:770468302615:ios:10bcca4366b1c179b6b152',
    messagingSenderId: '770468302615',
    projectId: 'my-notes-app2',
    storageBucket: 'my-notes-app2.appspot.com',
    iosClientId: '770468302615-0mhfqfn1rbipomeq7m5ge9esu01bfkfi.apps.googleusercontent.com',
    iosBundleId: 'com.example.myNotesApp2',
  );
}
